Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.uka.cmtm.serviceregistry.query
Class ServiceLocatorFactory

    java.lang.Object
      de.uka.cmtm.serviceregistry.query.ServiceLocatorFactory

    public class ServiceLocatorFactory

extends Object

This class can be used to create ServiceLocators.

Author:
  tilmann

Constructor Summary
`ServiceLocatorFactory()`

Method Summary
`ServiceLocator` | `createServiceLocator()` Creates a new DefaultServiceLocator.
`String` | `getDigReasonerUrl()`
`String` | `getServiceOntologyUrl()`
`String` | `getTopOntologyUrl()`
`String` | `getUddiInquiryUrl()`
`String` | `getUpperServiceOntologyUrl()`
`void` | `setDigReasonerUrl(String digReasonerUrl)`
`void` | `setServiceOntologyUrl(String serviceOntologyUrl)`
`void` | `setTopOntologyUrl(String topOntologyUrl)`
`void` | `setUddiInquiryUrl(String uddiInquiryUrl)`
`void` | `setUpperServiceOntologyUrl(String upperServiceOntologyUrl)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceLocatorFactory

    public ServiceLocatorFactory()

Method Detail

### createServiceLocator

    public ServiceLocator createServiceLocator()
                                        throws InstantiationException

  Creates a new DefaultServiceLocator.

  Returns:
    the newly created ServiceLocator
  Throws:
    `InstantiationException`

### getServiceOntologyUrl

    public String getServiceOntologyUrl()

  Returns:
    the serviceOntologyUrl

### setServiceOntologyUrl

    public void setServiceOntologyUrl(String serviceOntologyUrl)

  Parameters:
    `serviceOntologyUrl` - the serviceOntologyUrl to set

### getTopOntologyUrl

    public String getTopOntologyUrl()

  Returns:
    the topOntologyUrl

### setTopOntologyUrl

    public void setTopOntologyUrl(String topOntologyUrl)

  Parameters:
    `topOntologyUrl` - the topOntologyUrl to set

### getUddiInquiryUrl

    public String getUddiInquiryUrl()

  Returns:
    the uddiInquiryUrl

### setUddiInquiryUrl

    public void setUddiInquiryUrl(String uddiInquiryUrl)

  Parameters:
    `uddiInquiryUrl` - the uddiInquiryUrl to set

### getUpperServiceOntologyUrl

    public String getUpperServiceOntologyUrl()

  Returns:
    the upperServiceOntologyUrl

### setUpperServiceOntologyUrl

    public void setUpperServiceOntologyUrl(String upperServiceOntologyUrl)

  Parameters:
    `upperServiceOntologyUrl` - the upperServiceOntologyUrl to set

### getDigReasonerUrl

    public String getDigReasonerUrl()

  Returns:
    the digReasonerUrl

### setDigReasonerUrl

    public void setDigReasonerUrl(String digReasonerUrl)

  Parameters:
    `digReasonerUrl` - the digReasonerUrl to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD